package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.xsky.FileClientGroupModel;
import com.bocloud.cmp.model.xsky.FileClientModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface FileClientProvider extends SuperProvider {
    default BocloudResult list() {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult create(FileClientModel fileClientModel) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult remove(String uuid) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult update(FileClientModel fileClientModel) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult listClientGroup() {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult createClientGroup(FileClientGroupModel fileClientGroupModel) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult modifyClientGroup(FileClientGroupModel fileClientGroupModel) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult removeClientGroup(String uuid) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult removeClients(FileClientGroupModel fileClientGroupModel) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult addClients(FileClientGroupModel fileClientGroupModel) {
        return new BocloudResult(false, "暂不支持");
    }
}
